This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: stdlib_module_names.h is missing _scproxy
Type: behavior Stage: resolved
Components: Build Versions: Python 3.11, Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, eric.snow, gvanrossum, miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2021-11-02 08:24 by christian.heimes, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29358 merged christian.heimes, 2021-11-02 08:29
PR 29361 merged miss-islington, 2021-11-02 11:09
Messages (6)
msg405495 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-11-02 08:24
stdlib_module_names.h is missing the macOS specific module _scproxy. 
Guido ran into the problem in PR https://github.com/python/cpython/pull/29118
msg405502 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-11-02 11:09
New changeset 34098991289cb3e8eec012fa0243f30b9709666f by Christian Heimes in branch 'main':
bpo-45688: Add _scproxy to sys.stdlib_module_names (GH-29358)
https://github.com/python/cpython/commit/34098991289cb3e8eec012fa0243f30b9709666f
msg405504 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-11-02 11:32
New changeset b2ae63161926527e31b9a9071b38836ad88e9a92 by Miss Islington (bot) in branch '3.10':
[3.10] bpo-45688: Add _scproxy to sys.stdlib_module_names (GH-29358) (GH-29361)
https://github.com/python/cpython/commit/b2ae63161926527e31b9a9071b38836ad88e9a92
msg405510 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-11-02 13:43
Thanks!
msg405963 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-11-08 17:04
Oh right, Tools/scripts/generate_stdlib_module_names.py runs "./python setup.py -q build --list-module-names" which skips modules which are only built on specific platforms. On the Python CI, generate_stdlib_module_names.py is run on Linux.

Nicely spotted, and thanks for the fix!

Oh, it's hard to really know what the "stdlib" contains ;-)
msg405965 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-11-08 17:05
On Python 3.11.0a2+, I now get:

$ ./python -c 'import sys; print(len(sys.stdlib_module_names))'
304

One more module ;-)
History
Date User Action Args
2022-04-11 14:59:51adminsetgithub: 89851
2021-11-08 17:05:56vstinnersetmessages: + msg405965
2021-11-08 17:04:52vstinnersetmessages: + msg405963
2021-11-02 13:43:55gvanrossumsetmessages: + msg405510
2021-11-02 11:32:48christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-11-02 11:32:40christian.heimessetmessages: + msg405504
2021-11-02 11:09:07miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request27621
2021-11-02 11:09:01christian.heimessetmessages: + msg405502
2021-11-02 08:29:24christian.heimessetkeywords: + patch
stage: patch review
pull_requests: + pull_request27618
2021-11-02 08:24:05christian.heimescreate